package coreservlets;

/** Katalog zawierajcy informacje o towarach 
 *  dostpnych w internetowym sklepie.
 *  <P>
 *  Przykady z ksiki Java Servlet i JavaServer Pages
 *  Wydawnictwo HELION
 *  http://helion.pl/.
 *  &copy; 2000 Marty Hall; mona kopiowa i modyfikowa bez ogranicze.
 */

public class Catalog {
  // Normalnie te informacje byyby przechowywane i pobierane
  // z bazy danych.
  private static Item[] items =
    { new Item("hall001",
               "<I>Java Servlets i JavaServer Pages</I> " +
                 " autor Marty Hall",
               "Doskonaa pozycja wydawnictwa HELION powicona " +
                 "serwletom i JSP.\n" +
                 "Nominowana do nagrody Nobla w dziedzinie literatury.",
               39.95),
      new Item("hall002",
               "<I>Core Web Programming, Java2 Edition</I> " +
                 " autorzy: Marty Hall, Larry Brown oraz " +
                 "Paul McNamee",
               "Wspaniaa ksika dla programistw aplikacji " +
                 "internetowych. Omawiane w niej zagadnienia obejmuj \n" +
                 "<UL><LI>dokadn prezentacj platformy Java 2; " +
                 "w tym wtkw, zagadnie sieciowych, pakietu Swing, \n" +
                 "Java2D oraz kolekcji,\n" +
                 "<LI>krtkie wprowadzenie do HTML 4.01, " +
                 "zawierajce prezentacj ukadw ramek, arkuszy stylw, \n" +
                 "warstw oraz rozszerze Netscape Navigatora i " +
                 "Internet Explorera,\n" +
                 "<LI>krtkie wprowadzenie do protokou HTTP 1.1, " +
                 "serwletw i JavaServer Pages,\n" +
                 "<LI>krtkie omwienie jzyka JavaScript 1.2\n" +
                 "</UL>",
               49.95),
      new Item("lewis001",
               "<I>Opowieci z Narnii</I> autor: C.S. Lewis",
               "Klasyczna dziecica powie przygodowa; zmagania " +
                 "Aslana Wielkiego Lwa i jego towarzyszy\n" +
                 "z Bia Wiedm oraz siami za." +
                 "Smoki, czarodzieje, trudne zadania \n" +
                 "i mwice zwierzta tworz gbok duchow " +
                 "alegori. Seria obejmuje ksiki: \n" +
                 "<I>Siostrzeniec czarodzieja</I>,\n" +
                 "<I>Lew, Wiedma i stara szafa</I>,\n" +
                 "<I>Ko i jego chopiec</I>,\n" +
                 "<I>Ksi Caspian</I>,\n" +
                 "<I>Podr</I>,\n" +
                 "<I>Srebrne krzeso</I> oraz \n" +
                 "<I>Ostatnia bitwa</I>.",
               19.95),
      new Item("alexander001",
               "<I>Historia Prydain</I> autor: Lloyd Alexander",
               "Taran, pokorny hodowca wi, przycza si do " +
                 "potnego Lorda Gwydiona i towarzyszy w mu w \n" +
                 "bitwie przeciwko Arawnowi - Lordowi Annuvin. Wraz " +
                 "z wiernymi przyjacimi oraz pikn ksiniczk \n" +
                 "Eilonwy, bardem Fflewddurem Fflamem, \n" +
                 "i pczowiekiem Gurgi, Taran odkrywa " +
                 "czym jest odwaga, honor oraz inne wartoci.\n" +
                 "Seria obejmuje nastpujce ksiki: \n" +
                 "<I>Ksiga trzech</I>, \n" +
                 "<I>Czarny kocio</I>, \n" +
                 "<I>Zamek Llyra</I>, \n" +
                 "<I>Taran Wdrowiec</I> oraz \n" +
                 "<I>Wielki krl</I>.",
               19.95),
      new Item("rowling001",
               "<I>Trylogia o Harrym Potterze</I> autorka: " +
                 "J.K. Rowling",
               "Pierwsze trzy ksiki niezwykle popularniej serii o " +
                 "pocztkujcym czarodzieju Harrym Potterze \n" +
                 "szybko trafiy na sam pocztek list bestsellerw " +
                 "zarwno dla dzieci jak i dla dorosych. Seria \n" +
                 "obejmuje ksiki: \n" +
                 "<I>Harry Potter i kamie " +
                   "filozoficzny</I>, \n" +
                 "<I>Harry Potter i komnata " +
                   "tajemnic</I> oraz \n" +
                 "<I>Harry Potter i " +
                   "wizie Azkabanu</I>.",
               25.95)
    };

  public static Item getItem(String itemID) {
    Item item;
    if (itemID == null) {
      return(null);
    }
    for(int i=0; i<items.length; i++) {
      item = items[i];
      if (itemID.equals(item.getItemID())) {
        return(item);
      }
    }
    return(null);
  }
}
               
