package coreservlets;

import javax.servlet.http.*;

/** Cookie ktre bdzie istnie dokadnie przez 1 rok.
 *  Cookies tworzone w domylny sposb istniej tylko
 *  do koca biecej sesji przegldarki.
 *  <P>
 *  Przykady z ksiki Java Servlet i JavaServer Pages
 *  Wydawnictwo HELION
 *  http://helion.pl/.
 *  &copy; 2000 Marty Hall; mona kopiowa i modyfikowa bez ogranicze.
 */

public class LongLivedCookie extends Cookie {
  public static final int SECONDS_PER_YEAR = 60*60*24*365;
  
  public LongLivedCookie(String name, String value) {
    super(name, value);
    setMaxAge(SECONDS_PER_YEAR);
  }
}
